"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconUmbrella02 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M4.66659 12.9335C4.66659 13.8908 5.41278 14.6668 6.33325 14.6668C7.25373 14.6668 7.99992 13.8908 7.99992 12.9335V7.3335M7.99992 7.3335C6.92647 7.3335 5.33325 8.00016 5.33325 8.00016C5.33325 8.00016 4.4067 7.3335 3.33325 7.3335C2.2598 7.3335 1.33325 8.00016 1.33325 8.00016C1.33325 4.31826 4.31802 1.3335 7.99992 1.3335C11.6818 1.3335 14.6666 4.31826 14.6666 8.00016C14.6666 8.00016 13.74 7.3335 12.6666 7.3335C11.5931 7.3335 10.6666 8.00016 10.6666 8.00016C10.6666 8.00016 9.07337 7.3335 7.99992 7.3335Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconUmbrella02);
const Umbrella02 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Umbrella02", props.className].join(" ")
    }
  );
});
Umbrella02.displayName = "IconUmbrella02";
exports.default = Umbrella02;
